> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/guide/zh/console-mcp.md).

# 使用 AI 操作控制台

连接 Apps in Toss Console MCP 后，即使不进入控制台，也可以在 AI 工具中进行工作区、迷你应用、审核、Bundle、仪表盘、应用内支付、应用内广告、促销、推送通知等控制台操作。

用自然语言请求后，它会帮你查询控制台信息或执行所需操作。比如可以像“告诉我最近 7 天 DAU”这样发起请求。

***

### 1. 连接控制台 MCP

控制台是用于注册和管理应用的 Apps in Toss 网站。连接这个 MCP 后，不必直接进入控制台网站，只需向 AI 发起请求，就能进行工作区、迷你应用、审核、Bundle 等控制台操作。

可以像下面这样发起请求。

{% tabs %}
{% tab title="Claude Code" %}

```bash
claude mcp add apps-in-toss-console --transport http https://mcp.toss.im/adapters/apps-in-toss-console/mcp --client-id mcp-gateway
```

{% endtab %}

{% tab title="Codex" %}

```bash
codex mcp add apps-in-toss-console --url https://mcp.toss.im/adapters/apps-in-toss-console/mcp --oauth-client-id mcp-gateway
```

{% endtab %}
{% endtabs %}

连接 MCP 后如果出现登录窗口，请按照指引完成认证。完成后可以像下面这样确认。\
如果 AI 提示已正常连接并完成认证，就表示完成了。

```
帮我确认控制台 MCP 是否连接正常
```

***

### 2. 请求控制台操作

向 AI 用自然语言发起请求，就可以执行以下控制台操作。例如可以这样请求。

* “告诉我最近 7 天 DAU” → `dashboard_dau`
* “帮我创建一个新的推送模板” → `push_template_create`
* “回滚到上一个 Bundle 版本” → `bundle_rollback`

{% hint style="warning" %}
像 Bundle 回滚、促销预算充值、推送发送这类难以撤销或会产生费用的操作，在 AI 提议执行前务必确认。
{% endhint %}

**工作区和迷你应用**

<table data-search="false"><thead><tr><th>工具名称</th><th>说明</th></tr></thead><tbody><tr><td><code>workspace_list</code></td><td>查询我所属的工作区列表。</td></tr><tr><td><code>workspace_get</code></td><td>查询特定工作区的详细信息。</td></tr><tr><td><code>workspace_create</code></td><td>创建新的工作区。</td></tr><tr><td><code>workspace_update</code></td><td>修改工作区信息。</td></tr><tr><td><code>workspace_members_list</code></td><td>查询工作区成员列表。</td></tr><tr><td><code>miniapp_list</code></td><td>查询工作区内的迷你应用列表。</td></tr><tr><td><code>miniapp_get</code></td><td>查询特定迷你应用的详细信息。</td></tr><tr><td><code>miniapp_create</code></td><td>创建新的迷你应用。</td></tr><tr><td><code>miniapp_get_status</code></td><td>查看迷你应用审核和运营状态。</td></tr><tr><td><code>miniapp_update_basic_info</code></td><td>修改迷你应用名称、说明等基本信息。</td></tr><tr><td><code>miniapp_update_category</code></td><td>更改迷你应用分类。</td></tr><tr><td><code>miniapp_update_icon</code></td><td>替换迷你应用图标图片。</td></tr><tr><td><code>miniapp_update_screenshots</code></td><td>替换迷你应用截图。</td></tr><tr><td><code>miniapp_update_age_rating</code></td><td>更改迷你应用年龄等级。</td></tr><tr><td><code>miniapp_update_privacy_policy</code></td><td>更新隐私政策。</td></tr></tbody></table>

**Toss 登录设置**

| 工具名称                      | 说明            |
| ------------------------- | ------------- |
| `toss_login_get_config`   | 查询 Toss 登录设置。 |
| `toss_login_update_terms` | 更新 Toss 登录条款。 |

**迷你应用发布**

<table data-search="false"><thead><tr><th>工具名称</th><th>说明</th></tr></thead><tbody><tr><td><code>bundle_list</code></td><td>查询已上传的 Bundle 列表。</td></tr><tr><td><code>bundle_upload</code></td><td>上传新的 Bundle。</td></tr><tr><td><code>bundle_get_live_version</code></td><td>查看当前线上发布的版本。</td></tr><tr><td><code>bundle_submit_review</code></td><td>申请 Bundle 审核。</td></tr><tr><td><code>review_list</code></td><td>查询审核请求列表。</td></tr><tr><td><code>review_get</code></td><td>查询审核请求的详细信息。</td></tr><tr><td><code>review_get_feedback</code></td><td>查看审核反馈。</td></tr><tr><td><code>review_submit</code></td><td>申请审核。</td></tr><tr><td><code>review_cancel</code></td><td>取消审核。</td></tr><tr><td><code>bundle_set_release_note</code></td><td>编写版本说明。</td></tr><tr><td><code>bundle_rollback</code></td><td>回退到之前的版本。</td></tr></tbody></table>

**仪表盘和分析**

<table data-search="false"><thead><tr><th>工具名称</th><th>说明</th></tr></thead><tbody><tr><td><code>dashboard_dau</code></td><td>查询日活跃用户（DAU）。</td></tr><tr><td><code>dashboard_session</code></td><td>查询会话数和会话时长统计。</td></tr><tr><td><code>dashboard_retention</code></td><td>查看留存率（回访率）。</td></tr><tr><td><code>dashboard_conversion</code></td><td>查询转化率统计。</td></tr><tr><td><code>dashboard_compare_period</code></td><td>比较不同期间的指标。</td></tr><tr><td><code>dashboard_revenue_iap</code></td><td>查询应用内支付收入情况。</td></tr><tr><td><code>dashboard_revenue_iaa</code></td><td>查询应用内广告收入情况。</td></tr><tr><td><code>dashboard_export_csv</code></td><td>将仪表盘数据导出为 CSV。</td></tr></tbody></table>

**事件日志**

| 工具名称                   | 说明        |
| ---------------------- | --------- |
| `event_log_list`       | 查询事件日志列表。 |
| `event_log_search`     | 搜索事件日志。   |
| `event_pageview_stats` | 查询页面浏览统计。 |
| `event_act_type_get`   | 查询事件类型定义。 |
| `event_act_type_set`   | 设置事件类型定义。 |

**应用内支付**

<table data-search="false"><thead><tr><th>工具名称</th><th>说明</th></tr></thead><tbody><tr><td><code>iap_product_list</code></td><td>查询应用内商品列表。</td></tr><tr><td><code>iap_product_get</code></td><td>查询应用内商品详细信息。</td></tr><tr><td><code>iap_product_create_inspection</code></td><td>申请新商品审核。</td></tr><tr><td><code>iap_product_update_inspection</code></td><td>申请商品修改审核。</td></tr><tr><td><code>iap_product_change_status</code></td><td>开始或停止商品销售。</td></tr><tr><td><code>iap_order_list</code></td><td>查询支付订单记录。</td></tr><tr><td><code>iap_refund_list</code></td><td>查询退款请求列表。</td></tr><tr><td><code>iap_revenue</code></td><td>查询应用内支付收入统计。</td></tr></tbody></table>

**应用内广告**

<table data-search="false"><thead><tr><th>工具名称</th><th>说明</th></tr></thead><tbody><tr><td><code>iaa_placement_group_list</code></td><td>查询广告列表。</td></tr><tr><td><code>iaa_placement_group_get</code></td><td>查询广告详细信息。</td></tr><tr><td><code>iaa_placement_group_create</code></td><td>创建广告。</td></tr><tr><td><code>iaa_placement_group_update</code></td><td>修改广告。</td></tr><tr><td><code>iaa_report_performance</code></td><td>查询成效报告。</td></tr><tr><td><code>iaa_report_analytics</code></td><td>查询分析报告。</td></tr><tr><td><code>iaa_dashboard_report_v2</code></td><td>查询仪表盘报告。</td></tr><tr><td><code>iaa_workspace_dashboard_report_v2</code></td><td>查询工作区内所有迷你应用的仪表盘报告。</td></tr><tr><td><code>iaa_settlement_summary_v2</code></td><td>查询广告结算汇总。<br>（仅管理员可查看）</td></tr></tbody></table>

**促销**

<table data-search="false"><thead><tr><th>工具名称</th><th>说明</th></tr></thead><tbody><tr><td><code>promotion_list</code></td><td>查询促销列表。</td></tr><tr><td><code>promotion_get</code></td><td>查询促销详细信息。</td></tr><tr><td><code>promotion_create</code></td><td>创建新的促销。</td></tr><tr><td><code>promotion_modify</code></td><td>修改促销。</td></tr><tr><td><code>promotion_review_comment</code></td><td>查看促销审核意见。</td></tr><tr><td><code>promotion_change_status</code></td><td>更改促销状态。</td></tr><tr><td><code>promotion_money_balance</code></td><td>查看促销预算余额。</td></tr><tr><td><code>promotion_money_charge</code></td><td>充值促销预算。</td></tr><tr><td><code>promotion_money_history</code></td><td>查询预算充值和使用记录。</td></tr><tr><td><code>promotion_stats</code></td><td>查询促销成效统计。</td></tr></tbody></table>

**推送通知**

<table data-search="false"><thead><tr><th>工具名称</th><th>说明</th></tr></thead><tbody><tr><td><code>push_template_list</code></td><td>查询推送模板列表。</td></tr><tr><td><code>push_template_create</code></td><td>创建推送模板。</td></tr><tr><td><code>push_template_update</code></td><td>修改推送模板。</td></tr><tr><td><code>push_target_segment_list</code></td><td>查询目标细分列表。</td></tr><tr><td><code>push_target_segment_create</code></td><td>创建目标细分。</td></tr><tr><td><code>push_send_scheduled</code></td><td>登记推送定时发送。</td></tr><tr><td><code>push_cancel_scheduled</code></td><td>取消推送定时发送。</td></tr><tr><td><code>push_history_list</code></td><td>查询推送发送记录。</td></tr><tr><td><code>push_stats</code></td><td>查看推送统计。</td></tr></tbody></table>

**公告**

| 工具名称          | 说明        |
| ------------- | --------- |
| `notice_list` | 查询公告列表。   |
| `notice_get`  | 查询公告详细信息。 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/guide/zh/console-mcp.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
